public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-visualization/tensorboard/
Date: Tue,  1 Oct 2019 14:52:32 +0000 (UTC)	[thread overview]
Message-ID: <1569941498.2c7965014e59adab80b6a137253c7f1c57f175f7.perfinion@gentoo> (raw)

commit:     2c7965014e59adab80b6a137253c7f1c57f175f7
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  1 14:37:35 2019 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Tue Oct  1 14:51:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c796501

sci-visualization/tensorboard: bump 2.0.0

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sci-visualization/tensorboard/Manifest             |  1 +
 .../tensorboard/tensorboard-2.0.0.ebuild           | 59 ++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/sci-visualization/tensorboard/Manifest b/sci-visualization/tensorboard/Manifest
index 3a834787fa3..3670e3a5822 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -1,3 +1,4 @@
 DIST tensorboard-1.13.1.zip 3187614 BLAKE2B e1b8cb43f7941b843e4fa8c84746f4b341e7c7e246422182eec9e1d3e2a5c367fb818c8e3ddd20cb6b5f64515a986dc5e814728340f0592d346dc55ec6065648 SHA512 d1581b7f694909e94a09d4c3fb2d34ddc31a18a6a09323ef48221e88560a9ec3bbb050ff12a2cd78607a2545053cabc448eab7264036a54dddc4720becfc44b3
 DIST tensorboard-1.14.0.zip 3149160 BLAKE2B 85a3544c2274757cdfb99e3d82751082415d9283a68808de50c4b14662542bd278db3320560cb39aee6bb62d1434dedfa720cfc83b7d464d99256cfe46081f78 SHA512 b19856b1c252b22e472efb9b91ea5c4509d0c3a9d5f99071dea04325e2346b37967b0be151227d150cf013aee5ae6f6273cd311085f4c6b1ca8021d14c2cf562
 DIST tensorboard-1.15.0.zip 3765194 BLAKE2B 54a9987b65d4e2b127789f0e66eb5bdef8c024d19a82867632b44eefc4718bc6eb6c68fa61fdb2306af2c3adbacc3c75ec15f7aa331038b15cec27af2d846f85 SHA512 7b47d60929b4be91b4d56e36fc5a19b79511b8f3a1081fe308d3a107f978f2c5d23ad2d209104de983bc44f4506cdb0cb6e09b37e552dc042600ea16e14827dc
+DIST tensorboard-2.0.0.zip 3776140 BLAKE2B 2bfd5b9d5b1c21f7df19ce5dae8a3d72381092630d1f53409fa0b96cab56be323ddef116bab95184d045f82fec88f4162e1f7277b25ed9c19b77189cf1a132ba SHA512 e87ea39eae9b64c3314de771de98c21148517aee4103a4bc23d674273b1a220248d6ba85a9f94481c6d67e8d3733af099b91df3dae38537411082c1595aad73d

diff --git a/sci-visualization/tensorboard/tensorboard-2.0.0.ebuild b/sci-visualization/tensorboard/tensorboard-2.0.0.ebuild
new file mode 100644
index 00000000000..7c8540d2dd1
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-2.0.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+inherit python-r1 python-utils-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/"
+SRC_URI="https://files.pythonhosted.org/packages/py3/${PN::1}/${PN}/${P}-py3-none-any.whl -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/bleach[${PYTHON_USEDEP}]
+	dev-python/grpcio[${PYTHON_USEDEP}]
+	dev-python/html5lib[${PYTHON_USEDEP}]
+	dev-python/markdown[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/protobuf-python[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	>=dev-python/setuptools-41[${PYTHON_USEDEP}]
+	dev-python/werkzeug[${PYTHON_USEDEP}]
+	dev-python/wheel[${PYTHON_USEDEP}]
+	virtual/python-futures[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip
+	${PYTHON_DEPS}"
+PDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"
+
+src_prepare() {
+	eapply_user
+
+	rm -rf "${S}/${PN}/_vendor/bleach" || die
+	rm -rf "${S}/${PN}/_vendor/html5lib" || die
+	sed -i -e '/_vendor.bleach/d' -e '/_vendor.html5lib/d' "${S}/${P}.dist-info/RECORD" || die "failed to unvendor"
+
+	find "${S}/${PN}" -name '*.py' -exec sed -i \
+		-e 's/^from tensorboard\._vendor import html5lib/import html5lib/' \
+		-e 's/^from tensorboard\._vendor import bleach/import bleach/' \
+		-e 's/^from tensorboard\._vendor\.html5lib/from html5lib/' \
+		-e 's/^from tensorboard\._vendor\.bleach/from bleach/' \
+		{} + || die "failed to unvendor"
+}
+
+src_install() {
+	do_install() {
+		python_domodule "${PN}"
+		python_domodule "${P}.dist-info"
+	}
+	python_foreach_impl do_install
+}


             reply	other threads:[~2019-10-01 14:52 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-01 14:52 Jason Zaman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-14 16:53 [gentoo-commits] repo/gentoo:master commit in: sci-visualization/tensorboard/ Jason Zaman
2024-02-03 19:35 Jason Zaman
2024-02-03 19:35 Jason Zaman
2024-02-03 19:35 Jason Zaman
2023-06-05 16:37 Jason Zaman
2023-03-27 19:21 Michał Górny
2023-01-10 14:15 Michał Górny
2022-11-25 18:27 Jason Zaman
2022-11-19 18:23 Jason Zaman
2022-09-23  3:06 Jason Zaman
2022-06-26  2:45 Jason Zaman
2022-06-26  2:45 Jason Zaman
2022-02-07  1:58 Jason Zaman
2021-11-15 17:52 Jason Zaman
2021-11-15 17:52 Jason Zaman
2021-08-01 13:19 Jason Zaman
2021-06-20 21:56 Jason Zaman
2021-01-20 10:16 David Seifert
2020-12-06 20:40 Jason Zaman
2020-11-28 22:42 Jason Zaman
2020-10-09  3:41 Jason Zaman
2020-09-25 12:08 Benda XU
2020-08-30  0:32 Jason Zaman
2020-05-16  1:00 Jason Zaman
2020-03-16 18:55 Michał Górny
2019-12-29  9:56 David Seifert
2019-12-26  2:42 Jason Zaman
2019-12-23 19:48 Jason Zaman
2019-12-09  3:03 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-09-13 14:22 Jason Zaman
2019-08-13  7:40 Michał Górny
2019-08-07  7:58 Jason Zaman
2019-06-19  8:41 Jason Zaman
2019-06-19  4:09 Jason Zaman
2019-05-13  5:58 Jason Zaman
2019-04-29 14:24 Jason Zaman
2019-04-05 15:41 Jason Zaman
2019-02-18 13:54 Jason Zaman
2018-12-24 10:32 Jason Zaman
2018-09-30 11:20 Jason Zaman
2018-09-28 10:24 Jason Zaman
2018-08-09 16:11 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1569941498.2c7965014e59adab80b6a137253c7f1c57f175f7.perfinion@gentoo \
    --to=perfinion@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox